


    /* EPC Imp to C Translation Release 4 Version Apr 95 */


#include "imptoc.h"

main() {
static int fail=0;
char s [31] ,t [31] ,u [31] ;
void check( void ,void ,void );
 strcpy(s,"");	 strcpy(t,s);
if (strcmp(t,"")!=0)  fprintf(out_file, "%s", "BUG0");
 check(s,t,"");
 strcpy(s,"ABCD");	 strcpy(t,s);
 check(s,t,"ABCD");
if ((strcmp("MAST","MEST")>0) || ("MEST","MOST")) {fail=1; fprintf(out_file, "%s", "BUG1");}
 strcpy(s,"MAST");	 strcpy(t,"MEST");	 strcpy(u,"MOST");
if ((strcmp(s,t)>0) || (t,u)) {fail=1; fprintf(out_file, "%s", "BUG2");}
if (fail==0)  fprintf(out_file, "%s", "TEST OK");
static void check(char * p,char * q,char * r) {
if (strcmp(p,s)!=0 || strcmp(q,r)!=0 || (strcmp(p,q)!=0) || (q,r)) {fail=1; fprintf(out_file, "%s", "CHECK FAILS");}
}
exit(0);
}

/* end of automatic translation */

